Bug 193271 - [patch] games/xboard: perl; options overhaul; preparation for slave-port (xboard-devel)
Summary: [patch] games/xboard: perl; options overhaul; preparation for slave-port (xbo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johan van Selst
URL:
Keywords:
Depends on:
Blocks: 193272
  Show dependency treegraph
 
Reported: 2014-09-03 02:31 UTC by Kalten
Modified: 2014-09-13 01:30 UTC (History)
0 users

See Also:


Attachments
r366198: Patch: perl; options overhaul; preparation for slave-port (xboard-devel) (6.18 KB, patch)
2014-09-03 02:31 UTC, Kalten
no flags Details | Diff
log: poudriere testport output (59.14 KB, text/plain)
2014-09-03 03:00 UTC, Kalten
no flags Details
Log: make.* output (22.57 KB, text/plain)
2014-09-03 03:02 UTC, Kalten
no flags Details
r366198: Patch: perl; options overhaul; preparation for slave-port (xboard-devel) v2 (6.39 KB, patch)
2014-09-10 19:11 UTC, Kalten
no flags Details | Diff
log: make.* output v2 (22.59 KB, text/plain)
2014-09-10 19:16 UTC, Kalten
no flags Details
log: poudriere testport output v2 (59.40 KB, text/plain)
2014-09-10 19:17 UTC, Kalten
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kalten 2014-09-03 02:31:47 UTC
Created attachment 146703 [details]
r366198: Patch: perl; options overhaul; preparation for slave-port (xboard-devel)

As Johan van Selst has suggested in Bug 192903 Comment 4 I have decided
to prepare a games/xboard-devel port.

(Please see the added patch “xboard.r366198-p1.diff” for all of
it—in big parts identical to that of Bug 192903 Attachment 146262 [details]
and using current version r366198 of games/xboard)

* For that purpose I have made some minor changes to games/xboard
  (see Attachment)—namely changing some »=« to »?=« so they may be
  overridable in a port (namely games/xboard-devel) including the
  Makefile of games/xboard.

* Then there was the little error about Perl and cmail: They wanted
  PERLPATH to be set to ${PERL} for cmail.

* And we seem not to need
	@${REINPLACE_CMD} -e 's:INSTALL.*sysconfdir):&/$$$$files.dist:' \
		${WRKSRC}/Makefile.in
  in the post-patch target. (And if it were needed, it would better
  suit into the post-configure target—because of the to come devel
  port).

* OPTIONS*
  - Zippy
  - Engins in an OPTIONS_GROUP (none or many)
    including correction of sample configuration file
  - GUI front end in an OPTIONS_SINGLE (exactly one of them to use)
  - Sound output in an OPTIONS_RADIO (none or one)
    including correction of sample configuration file
  And many small changes because of the chosen options.

---

The compile logs (poudriere as well as some make construct) will follow
shortly there after in this bug report.
---
The bug report for the new port (games/xboard-devel) needing the »=« to
»?=« changes in games/xboard will follow too (and I shall add it to the
“See Also” section of this bug report).

Regards,
 Kalten
Comment 1 Kalten 2014-09-03 02:57:19 UTC
(see Bug 193272 for mentioned games/xboard-devel)
Comment 2 Kalten 2014-09-03 03:00:33 UTC
Created attachment 146705 [details]
log: poudriere testport output
Comment 3 Kalten 2014-09-03 03:02:09 UTC
Created attachment 146706 [details]
Log: make.* output

setenv DEVELOPER yes; make clean; make stage && make check-plist && make stage-qa && make package
Comment 4 John Marino freebsd_committer 2014-09-04 17:48:39 UTC
wow, you did everything for johans@, even poudriere testing! :)
Comment 5 Kalten 2014-09-10 16:02:05 UTC
Pray do wait: new version coming up with »portlint -AC« issues resolved.
(Will still take some time, as my poudriere has to compile over 400 ports
until I can make a final test there: should not have updated the portstree
again ;-) The new version should be here in a couple of hours)

Thanks,
 Kalten
Comment 6 Kalten 2014-09-10 19:11:23 UTC
Created attachment 147188 [details]
r366198: Patch: perl; options overhaul; preparation for slave-port (xboard-devel)  v2

As requested by Kubilay Kocak in Bug 193272 Comment 4, I did use
»portlint -AC« too.

Now there are new files (I hope John Marino has not really started yet):
The new patch superseding the old one. There will follow new logs (after
this comment).

Some changes to version 1:
* »echo« changed to »${ECHO_CMD}« as wanted by »portlint -AC«
* Added LICENSE
* Added CONFLICT with devel port
* Some changes, so that portlint(1) is happy with games/xboard (and a
  new version of games/xboard-devel in Bug 193272 too—following soon)

And now the output of »portlint -AC« with comments:
------------------------------------------------------------------------
> WARN: Makefile: [78]: possible direct use of command "install" found. use ${INSTALL_foobaa} instead.
The line
  BROKEN_sparc64=	Does not install on sparc64
seems to trigger this.

> WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
It is not new.

> WARN: Makefile: unless this is a master port, PORTNAME has to be set by "=", not by "?=".
> WARN: Makefile: unless this is a master port, PORTVERSION has to be set by "=", not by "?=".
It is to become a master port to games/xboard-devel (see Bug 193272).

> WARN: Makefile: new ports should not set PORTREVISION.
> WARN: Makefile: new ports should not set PORTEPOCH.
It is not new.

> WARN: Makefile: unless this is a master port, MAINTAINER has to be set by "=", not by "?=".
> WARN: Makefile: unless this is a master port, COMMENT has to be set by "=", not by "?=".
It is to become a master port to games/xboard-devel (see Bug 193272).

> 0 fatal errors and 8 warnings found.
------------------------------------------------------------------------

I hope it is quite OK now.
Thank you,
 Kalten
Comment 7 Kalten 2014-09-10 19:16:00 UTC
Created attachment 147189 [details]
log: make.* output v2

setenv DEVELOPER yes; make clean; make stage && make check-plist && make stage-qa && make package
Comment 8 Kalten 2014-09-10 19:17:41 UTC
Created attachment 147190 [details]
log: poudriere testport output  v2
Comment 9 commit-hook freebsd_committer 2014-09-11 19:51:08 UTC
A commit references this bug:

Author: johans
Date: Thu Sep 11 19:50:15 UTC 2014
New revision: 367968
URL: http://svnweb.freebsd.org/changeset/ports/367968

Log:
  Overhaul of games/xboard in preparation of slave port games/xboard-devel

  PR:		193271
  Submitted by:	kalten@gmx.at

Changes:
  head/games/xboard/Makefile
Comment 10 Johan van Selst freebsd_committer 2014-09-11 20:03:58 UTC
A great job, thanks for your work on this Kalten.
Both ports committed now.
Comment 11 Kalten 2014-09-11 22:22:26 UTC
(In reply to Johan van Selst from comment #10)
> A great job, thanks for your work on this Kalten.
Pleasure! ;-)

> Both ports committed now.
Good! Thank you!

(from comment #9)
>> Changes:
>>  head/games/xboard/Makefile

There is a slight problem: I think you have fallen victim to Bug 190724.

There was a new file (files/patch-xboard.conf.in) in the patch, but you
did not commit it—I suppose, that happened by accident because of the
bug of bugzilla not to show new files (see Bug 190724 Comment 7 for our
case).

Could you please add files/patch-xboard.conf.in to games/xboard/ too?
(Be aware—it is not equal to the version in the devel-port.)

Thank you!
 Kalten
Comment 12 commit-hook freebsd_committer 2014-09-12 09:31:48 UTC
A commit references this bug:

Author: johans
Date: Fri Sep 12 09:31:37 UTC 2014
New revision: 368017
URL: http://svnweb.freebsd.org/changeset/ports/368017

Log:
  Add patch file, forgotten in previous commit

  PR:		193271
  Submitted by:	Kalten

Changes:
  head/games/xboard/files/patch-xboard.conf.in
Comment 13 Kalten 2014-09-13 01:30:11 UTC
(In reply to commit-hook from comment #12)
>   Add patch file, forgotten in previous commit
>   head/games/xboard/files/patch-xboard.conf.in
Thank you!
Regards,
 Kalten